using System;
using System.Collections.Generic;
using System.Text;

namespace Infragistics.Guidance.Documents
{
    class CallbackExample : Infragistics.Documents.Report.ICallback
    {
        public string OnMergeCode(string name)
        {
            if (name == null) return null;

            if (name.Equals("Company"))
                return "Infragistics, Inc.";
            else
                return null;
        }

        public void OnContainer(Infragistics.Documents.Report.IContainer container)
        {
            if (container == null) return;

            if (container.Name.Equals("Container1"))
            {
                Infragistics.Documents.Report.Text.IText text = container.AddText();
                text.Style = new Infragistics.Documents.Report.Text.Style(Infragistics.Documents.Graphics.Fonts.Arial, Infragistics.Documents.Graphics.Brushes.DarkGreen);
                text.Margins.Bottom = 5;
                text.AddContent("Container Test!");
            }
        }

        public void OnInjector(string name, Infragistics.Documents.Report.Text.IText text, Infragistics.Documents.Report.Text.Style style, Infragistics.Documents.Report.Text.Hyperlink hyperlink)
        {
            if (name == null) return;

            if (name.Equals("UserName"))
            {
                style = new Infragistics.Documents.Report.Text.Style(style.Font, Infragistics.Documents.Graphics.Brushes.Blue);

                text.AddContent("John", style);
            }
        }
    }
}
